#!/bin/bash
# Fast Site Engine. Copyright © 2004-2024, AC (acwed@ya.ru). All rights reserved. 2-clause BSD license.
# https://fsen.ru/linux
# rm -f /tmp/kdeup.sh; wget -qP /tmp https://fsen.ru/inc/doc/linux/kdeup.sh; chmod +x /tmp/kdeup.sh; /tmp/kdeup.sh

SP=`sudo pwd` # чтоб ввели пароль сразу
#-----------------------------------------------------------------------
# Перезапуск оболочки KDE для обновления кэша значков/иконок и применения изменений апплетов/виджетов.
#-----------------------------------------------------------------------
rm -f ~/.cache/icon-cache.kcache
rm -f /var/tmp/kdecache-$USER/icon-cache.kcache
# qdbus org.kde.KWin /KWin reconfigure
kquitapp5 plasmashell
kstart5 plasmashell > /dev/null 2>&1
sudo update-desktop-database /usr/share/applications/
if [ -d ~/.local/share/applications/ ]; then sudo update-desktop-database ~/.local/share/applications/; fi
sudo update-icon-caches /usr/share/icons/*
if [ -d ~/.local/share/icons/ ]; then sudo update-icon-caches ~/.local/share/icons/*; fi
# sudo gtk-update-icon-cache /usr/share/icons/hicolor/*
echo '------------------------------------------------------------------------------------------------------'
echo '---------------------------------- Перезапуск оболочки KDE завершён ----------------------------------'
echo '------------------------------------------------------------------------------------------------------'